Imports LightMenuStrip.LightMenuStrip
Imports System.Drawing.Drawing2D

Public Class Form1

    '--------------------------------------------------
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        '           control
        With Me.LightMenuStrip1
            Me.chkGradientUse.Checked = .GradientUse
            Me.BtnBackColor.BackColor = .BackColor
            Me.BtnBackColor2.BackColor = .BackColor2
            Select Case .GradientDirection
                Case Is = LinearGradientMode.Horizontal : Me.RdHorizontal.Checked = True
                Case Is = LinearGradientMode.Vertical : Me.RdVertical.Checked = True
                Case Is = LinearGradientMode.ForwardDiagonal : Me.RdForwardDiagonal.Checked = True
                Case Is = LinearGradientMode.BackwardDiagonal : Me.RdBackwardDiagonal.Checked = True
            End Select
        End With

    End Sub
    '--------------------------------------------------
    'Gradient
    Private Sub chkGradientUse_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkGradientUse.CheckedChanged

        Me.LightMenuStrip1.GradientUse = sender.checked

    End Sub
    '--------------------------------------------------
    ' Gradient
    Private Sub Rd_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) _
       Handles RdHorizontal.CheckedChanged, RdVertical.CheckedChanged, RdForwardDiagonal.CheckedChanged, RdBackwardDiagonal.CheckedChanged

        Select Case CStr(sender.name)
            Case Is = "RdHorizontal" : Me.LightMenuStrip1.GradientDirection = LinearGradientMode.Horizontal
            Case Is = "RdVertical" : Me.LightMenuStrip1.GradientDirection = LinearGradientMode.Vertical
            Case Is = "RdForwardDiagonal" : Me.LightMenuStrip1.GradientDirection = LinearGradientMode.ForwardDiagonal
            Case Is = "RdBackwardDiagonal" : Me.LightMenuStrip1.GradientDirection = LinearGradientMode.BackwardDiagonal
        End Select

    End Sub
    '--------------------------------------------------
    ' 
    Private Sub BtnBackColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) _
       Handles BtnBackColor.Click, BtnBackColor2.Click

        Dim f As New ColorDialog
        f.Color = sender.BackColor ' 

        If f.ShowDialog = Windows.Forms.DialogResult.OK Then
            sender.BackColor = f.Color
            If CStr(sender.name) = "BtnBackColor" Then Me.LightMenuStrip1.BackColor = f.Color Else Me.LightMenuStrip1.BackColor2 = f.Color
        End If
        f.Dispose()

    End Sub
    '--------------------------------------------------
End Class
